Skip to main content
POST
Create Embedded App Install

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
app_id
string
required
Pattern: ^[A-Za-z0-9_-]{1,64}$

Body

application/vnd.api+json

Install the app into its hub. Installs start disabled unless enabled is true.

approved_scopes
string[]
Maximum array length: 20
Pattern: ^[a-z][a-z0-9_:.-]{0,63}$
enabled
boolean
default:false
policy_product_id
string | null
Required string length: 1 - 36
policy_type
enum<string>
default:everyone
Available options:
everyone,
product

Response

Successful Response

data
JsonApiResource[EmbeddedAppInstallAttributes] · object
required
included
any[] | null
meta
Meta · object | null